%global py3_shebang_flags %(echo %py3_shebang_flags | sed s/s//)
%global pypi_name nbclient
%global _description %{expand:
NBClient, a client library for programmatic notebook execution, is a tool for 
running Jupyter Notebooks in different execution contexts. NBClient was spun 
out of nbconvert (formerly ExecutePreprocessor). NBClient lets you execute notebooks.
}

Summary:        A client library for executing notebooks
Name:           python-%{pypi_name}
Version:        0.10.0
Release:        1%{?dist}
License:        BSD
URL:            https://jupyter.org
Source0:        %{pypi_source}

Patch0001:      https://github.com/jupyter/nbclient/pull/315.patch

BuildRequires:  python3-devel
BuildArch:      noarch

%description
%_description

%package -n     python3-%{pypi_name}
Summary:        A client library for executing notebooks

%description -n python3-%{pypi_name}
%_description

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
sed -i "/pytest/s/,<8//" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -vv

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/jupyter-execute


%changelog
* Fri Jun 14 2024 Shuo Wang <abushwang@tencent.com> - 0.10.0-1
- initial build
